memory-0.18.0: memory and related abstraction stuff

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Memory.ExtendedWords

Description

Extra Word size

Synopsis

- data Word128 = Word128 !Word64 !Word64

# Documentation

data Word128 #

A simple Extended Word128 composed of 2 Word64

Constructors

Word128 !Word64 !Word64 |

#### Instances

Instances details

Show Word128 # |
Instance details Defined in Data.Memory.ExtendedWords Methods showsPrec :: Int -> Word128 -> ShowS # show :: Word128 -> String # showList :: [Word128] -> ShowS #
Eq Word128 # |
Instance details Defined in Data.Memory.ExtendedWords Methods (==) :: Word128 -> Word128 -> Bool # (/=) :: Word128 -> Word128 -> Bool #